Bug 238057 - Cannot share printer and see other shared printers at same time
Cannot share printer and see other shared printers at same time
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
Blocks: FC6Update
  Show dependency treegraph
Reported: 2007-04-26 16:57 EDT by Bill Faust
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 1.2.10-7.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-22 04:05:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
CUPS Bugs and Features 2393 None None None Never

  None (edit)
Description Bill Faust 2007-04-26 16:57:01 EDT
Description of problem:

When administering cups with either http://localhost:631 or
system-config-printer I cannot simultaneously select both "Show printers shared
by other systems" and "Share published printers connected to this system".  I
can select one or the other, but not both.  With http://localhost:631, I select
both radio buttons, hit "Change Settings" and it returns with only the second
one checked.  With system-config-printer they stay selected, but when I restart
cups and relaunch system-config-printer, one is unselected.  If I only select
one or the other, then the configuration sticks.  It looks similar to bug
206892, but not the sme.

Version-Release number of selected component (if applicable):


How reproducible:

Every time.

Steps to Reproduce:
1. Administer cups pointing to http://localhost:631
2. Select "Manager Server".
3. Select both "Show printers shared by other systems" and "Share published
printers connected to this system".
4. Hit "Change Settings"
Actual results:

The second option, "Share published printers connected to this system" becomes

Expected results:

Should stay selected.

Additional info:

Version of printer config is system-config-printer-, which also
exhibits the behavior, but I do not think it is involved.
Comment 1 Tim Waugh 2007-04-27 04:36:28 EDT
Yes, this is a CUPS bug.  system-config-printer uses the CUPS API to adjust
those settings, the same as the web interface.

Please attach your /etc/cups/cupsd.conf file.
Comment 2 Bill Faust 2007-04-27 11:30:25 EDT
Here is the cupsd.conf file:

[root@farm12 tmp]# cat /etc/cups/cupsd.conf
MaxLogSize 2000000000
LogLevel info
SystemGroup sys root
Port 631
Listen /var/run/cups/cups.sock
# Show shared printers on the local network.
Browsing On
BrowseOrder allow,deny
# (Change '@LOCAL' to 'ALL' if using directed broadcasts from another subnet.)
BrowseAllow @LOCAL
DefaultAuthType Basic
<Location />
  Order allow,deny
  Allow @LOCAL
<Location /admin>
  Encryption Required
  Order allow,deny
  Allow @LOCAL
<Location /admin/conf>
  AuthType Basic
  Require user @SYSTEM
  Order allow,deny
  Allow @LOCAL
<Policy default>
  <Limit Send-Document Send-URI Hold-Job Release-Job Restart-Job Purge-Jobs
Set-Job-Attributes Create-Job-Subscription Renew-Subscription
Cancel-Subscription Get-Notifications Reprocess-Job Cancel-Current-Job
Suspend-Current-Job Resume-Job CUPS-Move-Job>
    Require user @OWNER @SYSTEM
    Order deny,allow
  <Limit Pause-Printer Resume-Printer Set-Printer-Attributes Enable-Printer
Disable-Printer Pause-Printer-After-Current-Job Hold-New-Jobs
Release-Held-New-Jobs Deactivate-Printer Activate-Printer Restart-Printer
Shutdown-Printer Startup-Printer Promote-Job Schedule-Job-After CUPS-Add-Printer
CUPS-Delete-Printer CUPS-Add-Class CUPS-Delete-Class CUPS-Accept-Jobs
CUPS-Reject-Jobs CUPS-Set-Default>
    AuthType Basic
    Require user @SYSTEM
    Order deny,allow
  <Limit CUPS-Authenticate-Job>
    Require user @OWNER @SYSTEM
    Order deny,allow
  <Limit All>
    Order deny,allow
[root@farm12 tmp]#
Comment 3 Fedora Update System 2007-05-21 18:44:44 EDT
Fixed in update: cups-1.2.10-7.fc6

Note You need to log in before you can comment on or make changes to this bug.